<?php
/*
Plugin Name: Hostix API
Plugin URI: http://www.hostix.ru
Author: ValueHost Team
Author URI: http://www.valuehost.ru
Version: 1.0.1
Description: Plugin for integration Hostix API interface
*/

add_action('init','hostix_api_init');
add_filter('the_content','hostix_api_gethtml');

function hostix_api_init(){
	wp_enqueue_script(false,WP_PLUGIN_URL.'/wordpress_hostix_api/'.'hostix_api.js');
}

function hostix_api_gethtml($content){
	if($content && is_string($content)){
		$regex = '/\[(hostix_module=.*?)\]/';
		if(preg_match($regex, $content, $params)){
			$parse_params = explode(' ', $params[1]);
			$hostix_params = array(
				'hostix_module' => '',
				'lang' => ''
			);
			foreach($parse_params as $param){
				$param = explode('=', $param,2);
				if(count($param)==2 && isset($hostix_params[strtolower($param[0])]))
					$hostix_params[strtolower($param[0])] = strip_tags(trim(urldecode($param[1]),"\"'"));
			}
			if(!$hostix_params['hostix_module']){
				$content = preg_replace($regex, 'Required attribute hostix_module is not set.', $content);
			}else{
				$url = (($_SERVER['SERVER_PORT']=='443') ? 'https' : 'http').'://api.'.preg_replace('/^www\./', '', $_SERVER['HTTP_HOST']);
				if(preg_match('/^[a-z]{2}$/i',$hostix_params['lang']))
					$url .= '/'.$hostix_params['lang'];
				if($hostix_params['hostix_module']{0}!=='/')
					$url .= '/';
				$url .= $hostix_params['hostix_module'];
				$content = preg_replace($regex,'<iframe src="'.$url.'" width="100%" height="100%" scrolling="no" frameborder="0" id="hostix_api" ></iframe>',$content);
			}
		}
	}
	return $content;
}
?>
